package com.ruoyi.project.ehs.mapper;

import java.util.List;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ehs.domain.TMatterFeature;

/**
 * 危害物质关联危险类型Mapper接口
 *
 * @author ruoyi
 * @date 2021-09-22
 */
public interface TMatterFeatureMapper {

    public List<String> queryByIds(String[] ids);

    /**
     * 查询危害物质关联危险类型
     *
     * @param id 危害物质关联危险类型ID
     * @return 危害物质关联危险类型
     */
    public TMatterFeature selectTMatterFeatureById(Long id);

    /**
     * 查询危害物质关联危险类型列表
     *
     * @param tMatterFeature 危害物质关联危险类型
     * @return 危害物质关联危险类型集合
     */
    @DataScope(deptAlias = "d")
    public List<TMatterFeature> selectTMatterFeatureList(TMatterFeature tMatterFeature);

    /**
     * 新增危害物质关联危险类型
     *
     * @param tMatterFeature 危害物质关联危险类型
     * @return 结果
     */
    public int insertTMatterFeature(TMatterFeature tMatterFeature);

    /**
     * 修改危害物质关联危险类型
     *
     * @param tMatterFeature 危害物质关联危险类型
     * @return 结果
     */
    public int updateTMatterFeature(TMatterFeature tMatterFeature);

    /**
     * 删除危害物质关联危险类型
     *
     * @param id 危害物质关联危险类型ID
     * @return 结果
     */
    public int deleteTMatterFeatureById(Long id);

    /**
     * 批量删除危害物质关联危险类型
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMatterFeatureByIds(Long[] ids);
}
